\name{raex10strnentrezgMAPCOUNTS} 

\alias{raex10strnentrezgMAPCOUNTS}


\title{Number of mapped keys for the maps in package raex10strnentrezg.db}

\description{
  raex10strnentrezgMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package raex10strnentrezg.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  raex10strnentrezgMAPCOUNTS
  mapnames <- names(raex10strnentrezgMAPCOUNTS)
  raex10strnentrezgMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package raex10strnentrezg.db
  checkMAPCOUNTS("raex10strnentrezg.db")
}

\keyword{datasets}

